Qlik Community

Qlik Sense Deployment & Management

Discussion board where members learn more about Qlik Sense Installation, Deployment and Management.

silvacarlos
Contributor II

Qlik Sense June 2017 Upgrade

Hi community!

I need some help with this:

We currently have Qlik Sense Server 3.1 SR1 and we need to upgrade to June 2017.

In the release notes, the upgrade notes says:

"You cannot upgrade to Qlik Sense June 2017 from a Qlik Sense release earlier than 3.1 SR2. Make

sure that you have upgraded to Qlik Sense 3.1 SR2 or later before starting an upgrade to Qlik Sense

June 2017."

So I'm looking for upgrade to 3.1 SR2 first, then to June 2017

I need to know if this is the best way to do this or I need to do something else

Thanks in advance!

1 Solution

Accepted Solutions
pranav_n_patel
Contributor

Re: Qlik Sense June 2017 Upgrade

3.1 SR1 to 3.1 SR2 (Shared Persistence) to June 2017 should be okay.  We migrated to 3.2 back when it came out with the Shared Persistence model since we had heard that in 4.0 or the June release as it is called now, won't support synchronized persistence.    Steps to go from 3.1 SR2 shared persistence to June 2017 looks fairly simple.

7 Replies
pranav_n_patel
Contributor

Re: Qlik Sense June 2017 Upgrade

Are you on shared persistence already?  Upgrade process should be simple if you are using that model.

Pranav

silvacarlos
Contributor II

Re: Qlik Sense June 2017 Upgrade

I think we have synchronized persistence, what we need to do in this case?

pranav_n_patel
Contributor

Re: Qlik Sense June 2017 Upgrade

You guys should upgrade to a shared persistence model first before you jump to June 2017 release.  Have a look at this link (Upgrading Qlik Sense ‒ Qlik Sense).  Here is a thread (Upgrade to Shared Persistence in Qlik Sense | Qlik Community) which might come in handy as well.

Regards,

Pranav

silvacarlos
Contributor II

Re: Qlik Sense June 2017 Upgrade

Thanks for your help!

We currently have a single node installation, we still need to do this upgrade to a shared persistence model?

pranav_n_patel
Contributor

Re: Qlik Sense June 2017 Upgrade

Synchronized persistence model is not supported in the June 2017 release.  Here is some documentation on possible upgrade paths (Upgrading ‒ Qlik Sense).

Pranav

silvacarlos
Contributor II

Re: Qlik Sense June 2017 Upgrade

So the best way to do this is:

1. Upgrade Qlik Sense 3.1 SR1 to 3.1 SR2 (upgrading from sync persistence to shared)

2. Upgrade Qlik Sense 3.1 SR2 to June 2017

Am I right? Or do you recommend upgrade to a later version than 3.1 SR2? (Upgrade to Shared Persistence in Qlik Sense here they are upgrading directly to 3.2.4 from 3.1 SR1)

Thanks!

CS

pranav_n_patel
Contributor

Re: Qlik Sense June 2017 Upgrade

3.1 SR1 to 3.1 SR2 (Shared Persistence) to June 2017 should be okay.  We migrated to 3.2 back when it came out with the Shared Persistence model since we had heard that in 4.0 or the June release as it is called now, won't support synchronized persistence.    Steps to go from 3.1 SR2 shared persistence to June 2017 looks fairly simple.

Community Browser